<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="9.0.16" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="9.0.16">
		  <PrivateAssets>all</PrivateAssets>
		  <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.16" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="9.0.16" />
		<PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="9.0.16" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\PARR.Core\PARR.Core.csproj" />
		<ProjectReference Include="..\PARR.Domain\PARR.Domain.csproj" />
	</ItemGroup>

	<ItemGroup>
		<!-- Разрешаем тестовой сборке видеть internal классы PARR.Core -->
		<InternalsVisibleTo Include="PARR.Core.Tests" />
		<!-- Разрешаем Castle DynamicProxy (Moq / NSubstitute) видеть internal классы PARR.Core -->
		<InternalsVisibleTo Include="DynamicProxyGenAssembly2" />
	</ItemGroup>
</Project>
